<?php
	header("content-type: text/xml");
	
	$serverName = '(local)\SQLEXPRESS'; // adresa serveru
	$connectionInfo = array( 'Database'=>'CR'); // parametry pripojeni
	
	$conn = sqlsrv_connect( $serverName, $connectionInfo);
	
	$sql = 'SELECT Nazev, Oblast.ToString() as polygon FROM Kraje WHERE KrajId = ?';
	// Volani ulozne procedury
	// $sql = 'execute GetPolygon ?';
	
	$stmt = sqlsrv_query($conn, $sql, array($_GET['id']));
	
	$polygon = '';
	
	if( sqlsrv_fetch( $stmt ) === false )
	{
	     echo "Error in retrieving row.\n";
	     die( print_r( sqlsrv_errors(), true));
	}

    $name = iconv("utf-16le",
							"utf-8",
                            sqlsrv_get_field( $stmt,
                                0,
                                SQLSRV_PHPTYPE_STRING(SQLSRV_ENC_BINARY)));

	$polygon = sqlsrv_get_field( $stmt, 1, SQLSRV_PHPTYPE_STRING(SQLSRV_ENC_CHAR));

    sqlsrv_free_stmt( $stmt);
	sqlsrv_close($conn);
	

	$polygon = substr($polygon, strrpos($polygon, "(") + 1);
	$polygon = str_replace(", ", " ", $polygon);
	$polygon = substr($polygon, 0, strpos($polygon, ")"));		
	echo '<?xml version="1.0" encoding="utf-8" ?>';
?>
<rss version="2.0" xmlns:geo="http://www.w3.org/2003/01/geo/wgs84_pos#" xmlns:georss="http://www.georss.org/georss" xmlns:gml="http://www.opengis.net/gml" xmlns:mappoint="http://virtualearth.msn.com/apis/annotate#">
	<channel>
		<title><?php echo $name; ?></title>
		<link></link>
		<description>Kraj</description>
		<mappointIntlCode>cht</mappointIntlCode>
		<item>
            <title><?php echo $name; ?></title>
			<georss:polygon><?php echo $polygon; ?></georss:polygon>
		</item>
	</channel>
</rss>		