<?php
    header("content-type: text/plain; charset=utf-8");

    $serverName = '(local)\SQLEXPRESS'; // adresa serveru
	$connectionInfo = array( 'Database'=>'CR'); // parametry pripojeni

	$conn = sqlsrv_connect( $serverName, $connectionInfo);
	if( $conn === false )
	{
	     die( print_r( sqlsrv_errors(), true));
	}

    $sql = 'SELECT o.Nazev, o.Souradnice.ToString()
                FROM Obce o, Kraje k
                WHERE k.Oblast.STIntersects(o.Souradnice) = 1
                    AND k.KrajId = ?
                ORDER BY o.Nazev';

    $stmt = sqlsrv_query($conn, $sql, array($_GET['id']));
	
	$firstRun = true;
	
	echo '[';
    while(sqlsrv_fetch( $stmt))
    {
        $name = iconv("utf-16le",
                    "utf-8",
                    sqlsrv_get_field($stmt,
                        0,
                        SQLSRV_PHPTYPE_STRING(SQLSRV_ENC_BINARY)));

        $point = sqlsrv_get_field($stmt,
                        1,
                        SQLSRV_PHPTYPE_STRING(SQLSRV_ENC_CHAR));

        $point = substr($point, strpos($point, '(') + 1);
        $point = substr($point, 0, strlen($point) - 1);
        $coordinates = split(' ', $point);

		if (!$firstRun)
		{
			echo ',';
		}
		echo '{';
        echo "name:'$name',";
        echo "latitude:$coordinates[0],";
		echo "longitude:$coordinates[1]";
       	echo '}';
       	$firstRun = false;
    }
    echo ']';

    sqlsrv_free_stmt( $stmt); // uklid
    sqlsrv_close( $conn); // navraceni spojeni do connection pool
?>
